#ifndef __ARGUMENTS_H__
#define __ARGUMENTS_H__
#include <memory>
#include "log.h"
#include "cursor.h"
#include "display.h"
#include "input.h"

#include "constants.h"

/* Arguments
-n        : Use ncurses for I/O
-r        : Randomly generate maps
-m        : Enabled a main menu + options
-c        : Enemies chase the player (through doors and up stairs)
-i        : Enable inventory
-t        : Enable throw
-R        : Enable revisiting levels
-S [seed] : Sets initial seed to seed
-s [file] : Enable saves
-L [file] : Enable logging to file
-I [file] : Reads commands from file. CANNOT BE USED WITH -n.
-O [file] : Outputs to file. CANNOT BE USED WITH -n.
 */

feature proc_args(int argc, char **argv,
                  std::unique_ptr<cursor>  &curse,
                  std::unique_ptr<input>   &in,
                  std::unique_ptr<display> &out,
                  std::unique_ptr<logger>  &log);

#endif
