#include "game.h"
#include "cursor.h"
#include "display.h"
#include "input.h"
#include "arguments.h"

// The way things are designed to work:
//  to be filled...

int main(int argc, char **argv) {
        std::unique_ptr<cursor>  curse;
        std::unique_ptr<input>   in;
        std::unique_ptr<display> out;
        std::unique_ptr<logger>  log;

        feature enabled_features = proc_args(argc, argv, curse, in, out, log);

        if (enabled_features & FEATURE_PANIC)
                std::cerr << "Wrong arguments you dumbass :)" << std::endl;

        game game_proc(enabled_features, in, out, log);

        while (game_proc.run() != game_status::terminated)
                out->render();

        return 0;
}
